Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
LibreOffice 4.0-git [geki-overlay] flavored features!
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Thu Feb 17, 2011 10:41 pm    Post subject: LibreOffice 4.0-git [geki-overlay] flavored features! Reply with quote

http://code.google.com/p/gekis-playground/source/browse/

app-office/libreoffice-4.0.9999 available! (git branch: libreoffice-4-0)

you should check for changed useflags!

howto enable python
Code:
sed /python3_3/d -i /usr/portage/profiles/base/use.mask
PYTHON_SINGLE_TARGET="python3_3" emerge -pv app-office/libreoffice


following patch required
Code:
--- /usr/share/aclocal-1.12/python.m4
+++ /usr/share/aclocal-1.12/python.m4
@@ -37,7 +37,7 @@
   dnl Find a Python interpreter.  Python versions prior to 2.0 are not
   dnl supported. (2.0 was released on October 16, 2000).
   m4_define_default([_AM_PYTHON_INTERPRETER_LIST],
-[python python2 python3 python3.2 python3.1 python3.0 python2.7 dnl
+[python python2 python3 python3.3 python3.2 python3.1 python3.0 python2.7 dnl
  python2.6 python2.5 python2.4 python2.3 python2.2 python2.1 python2.0])

   AC_ARG_VAR([PYTHON], [the Python interpreter])

___
!! info about split build of boost !!

why do you want it over portage version?
· just different here and there :o

there are various extensions to libreoffice.
you may check './configure --help' for '--enable-ext-*'
and request them here


known issues
· ha ha ha . . . have fun programming
___
base
http://cgit.freedesktop.org/libreoffice/

news/issues
http://planet.documentfoundation.org/

libreoffice wiki
http://wiki.documentfoundation.org/
___
it is just insane to restart from scratch usually.
ask me for a patch. or what configure flag to tweak. or ...
but, please, do not start from scratch!

=> ebuild /path/to/ebuild install qmerge
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.


Last edited by geki on Sun Jan 27, 2013 5:41 pm; edited 34 times in total
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2444
Location: Austria

PostPosted: Sun Feb 27, 2011 11:48 am    Post subject: Reply with quote

Small bugreport:

After emerging 3.3.1.2 there's a faulty TryExec line in

/usr/share/applications/writer-libre.desktop

that should be
Code:
TryExec=lowriter-libre

instead.

Portage ebuild fixes this with
Code:
#fix desktop files bug #352955
sed -i 's/Exec=oo/Exec=lo/g' "${S}"/desktop/*.desktop.in.in || die "Could not fix desktop files"


I didn't update my eclass to your changes after 3.3.0.4, but a quick search found no fix in your latest eclass.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Sun Feb 27, 2011 12:18 pm    Post subject: Reply with quote

genstorm
what revision do you have of my overlay?
would be great to confirm my latest changes did not break anything! :o

o well, that should be fixed upstream ...

edit #1
going to add that and libpng 1.5.x fix soon. done
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.


Last edited by geki on Sun Feb 27, 2011 1:35 pm; edited 1 time in total
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2444
Location: Austria

PostPosted: Sun Feb 27, 2011 12:22 pm    Post subject: Reply with quote

I checked latest revision. Nothing that was broken by your changes, this is an upstream bug that was also present in 3.3.0.4. I'm still using that eclass for 3.3.1.2 without modular boost.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Tue Mar 01, 2011 9:09 am    Post subject: Reply with quote

cave wrote:
cave@1298969835: [QA e.child.message] In thread ID '31811':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost-headers.eclass
cave@1298969836: [QA e.child.message] In thread ID '31921':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost-build.eclass
cave@1298969837: [QA e.child.message] In thread ID '32061':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost.eclass
cave@1298969837: [QA e.child.message] In thread ID '32171':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost.eclass
cave@1298969838: [QA e.child.message] In thread ID '32281':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost.eclass
cave@1298969839: [QA e.child.message] In thread ID '32391':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost.eclass
cave@1298969839: [QA e.child.message] In thread ID '32504':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost.eclass
cave@1298969840: [QA e.child.message] In thread ID '32614':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost.eclass
cave@1298969841: [QA e.child.message] In thread ID '32724':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost.eclass
cave@1298969841: [QA e.child.message] In thread ID '366':
... In ebuild pipe command handler:
... Variable 'KEYWORDS' should not be set by /var/db/paludis/repositories/geki-overlay/eclass/boost.eclass
libreoffice-3.3.1.2> * QA Notice: epause is not defined in EAPI=4, please file a bug at http://bugs.gentoo.org


Shouldn't those QA warnings be treated somehow? They doesn't stop ebuilds from working, although they are probably for something :P
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Tue Mar 01, 2011 5:34 pm    Post subject: Reply with quote

Lustmored
they are there for pita.

I also saw paludis warn about virtual/jdk depending on slotted icedtea. :o
it is just a pain to manage keywords in each and every (boost) ebuild.

so, to keep it simple I have put it in eclass - single point.
may not be acceptable for upstream but who cares.
portage does not complain yet afais. :lol:
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 204
Location: Poland

PostPosted: Wed Mar 02, 2011 1:30 am    Post subject: Reply with quote

I see - thanks for clarification. No problem for me, just wanted to ask if it's something important :D
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Sun Mar 13, 2011 7:16 pm    Post subject: Reply with quote

app-office/libreoffice-3.3.2.1 released!

edit #1
and they prepare 3.3.2.2. what a rush ...

edit #2
app-office/libreoffice-3.3.2.2 released! (untested)
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2444
Location: Austria

PostPosted: Sun Mar 20, 2011 12:52 am    Post subject: Reply with quote

geki wrote:
edit #2
app-office/libreoffice-3.3.2.2 released! (untested)

Built fine, I also obtained your latest eclass changes before emerge. :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Sun Mar 20, 2011 10:25 am    Post subject: Reply with quote

looks like 3.3.2.2 is final and eclass changes are mostly for master. :o
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Sun Mar 27, 2011 8:47 pm    Post subject: Reply with quote

jemalloc users may be interested in ...
http://code.google.com/p/gekis-playground/source/detail?r=130
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5674
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Mar 27, 2011 10:36 pm    Post subject: Reply with quote

geki wrote:
jemalloc users may be interested in ...
http://code.google.com/p/gekis-playground/source/detail?r=130


fan tan tas tic ! :)
_________________
Unofficial minimal livecd x86/amd64 w/reiser4+truecrypt (by Neo2)
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Fri Apr 01, 2011 7:35 pm    Post subject: Reply with quote

updated app-office/libreoffice-3.3.80_pre for libreoffice-3-4 branch and its sources.
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Sun Apr 17, 2011 8:14 pm    Post subject: Reply with quote

app-office/libreoffice-3.3.99.1 released!

edit #1
yay :o

detail: http://code.google.com/p/gekis-playground/source/detail?r=142
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Thu Apr 21, 2011 1:17 pm    Post subject: Reply with quote

and some more fixes have been applied. detail


p.s.: I am so glad we did SLOT the libwpd/g/s libraries; seeing gentoo devs having to fix stuff up for the changes. :o
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Fri Apr 22, 2011 3:30 pm    Post subject: Reply with quote

app-office/libreoffice-3.3.99.2 released!

well, for the brave. :o
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Sat Apr 23, 2011 1:48 pm    Post subject: Reply with quote

python3 bits have been reverted. anyone interested may check out that old revision. :o
translations have been reactivated.
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2444
Location: Austria

PostPosted: Sun Apr 24, 2011 9:57 am    Post subject: Reply with quote

geki wrote:
p.s.: I am so glad we did SLOT the libwpd/g/s libraries; seeing gentoo devs having to fix stuff up for the changes. :o

Technically, would it be safe to use the unslotted in-portage packages with 3.3.2.2?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Sun Apr 24, 2011 11:42 am    Post subject: Reply with quote

sure, you just need the *-0.{2,9} pkgconfig files versus *-0.{1,8} ones.
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Wed Apr 27, 2011 4:52 pm    Post subject: Reply with quote

http://code.google.com/p/gekis-playground/source/detail?r=150


yay? . . . yay! :lol:


reference
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1131

PostPosted: Fri May 06, 2011 12:17 am    Post subject: bad ebuild Reply with quote

I don't get geki overlays libreoffice. I did mask all other to just be able to see:
Code:
!!! All ebuilds that could satisfy "libreoffice" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-office/libreoffice-3.3.9999_pre (masked by: missing keyword, invalid: RDEPEND: Invalid atom (app-text/libwpd[tools]:0.9), token 224, invalid: DEPEND: Invalid atom (app-text/libwpd[tools]:0.9), token 228)
- app-office/libreoffice-3.3.99.2 (masked by: invalid: RDEPEND: Invalid atom (app-text/libwpd[tools]:0.9), token 224, invalid: DEPEND: Invalid atom (app-text/libwpd[tools]:0.9), token 225)
- app-office/libreoffice-3.3.2 (masked by: package.mask)
- app-office/libreoffice-3.3.1 (masked by: package.mask)

_________________
fun2gen2
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Fri May 06, 2011 3:42 pm    Post subject: Reply with quote

a typo, yay. should be 'app-text/libwpd:0.9[tools]'.
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Sat May 07, 2011 1:29 pm    Post subject: Reply with quote

app-office/libreoffice-3.3.99.4 released!
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1131

PostPosted: Tue May 10, 2011 12:10 am    Post subject: gcc-4.6.0 Reply with quote

Just try to build geki libreoffice-3.3.99.4 using gcc-4.6.0

libwps-0.2 is too pedantic, a not used variable errors out the build. I installed
libwps-0.2.2 from official gentoo and changed the eclass
.
_________________
fun2gen2
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2114
Location: Germania

PostPosted: Tue May 10, 2011 4:43 pm    Post subject: Reply with quote

yay, going to bump. I do not care about gcc-4.6 yet.
fixes may be upstreamed, please. :o
_________________
boost|trans-follow xcb|instruction set analyzer
___
the self obscures the truth. I am no one, and so my words alone come from the truth of this world. amen.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 1 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum